gridtables-0.1.1.0: Parser for reStructuredText-style grid tables.

Copyright | © 2022-2023 Posit Software PBC
License | MIT
Maintainer | Albert Krewinkel <albert@zeitkraut.de>
Safe Haskell | None
Language | Haskell2010

Text.GridTable.Parse

Description

Parse reStructuredText-style grid tables.

Synopsis

- gridTable :: forall s (m :: Type -> Type) u. Stream s m Char => ParsecT s u m (ArrayTable [Text])
- tableLine :: forall s (m :: Type -> Type) u. Stream s m Char => ParsecT s u m Text

# Documentation

gridTable :: forall s (m :: Type -> Type) u. Stream s m Char => ParsecT s u m (ArrayTable [Text]) Source #

Parses a grid table.

tableLine :: forall s (m :: Type -> Type) u. Stream s m Char => ParsecT s u m Text Source #

Parses a line that's part of a table. The line must start with either a plus `+` or a pipe `|`.